section .data                           ;Data segment
   userMsg db 'Please enter a number: ' ;Ask the user to enter a number
   lenUserMsg equ $-userMsg             ;The length of the message
   dispMsg db 'You have entered: '
   lenDispMsg equ $-dispMsg                 

section .bss           ;Uninitialized data
   num resb 5
	
section .text          ;Code Segment
   global _start
	
_start:                ;User prompt
   mov edx, lenUserMsg
   mov ecx, userMsg
   mov ebx, 1
   mov eax, 4
   int 80h

   ;Read and store the user input
   mov edx, 5          ;5 bytes (numeric, 1 for sign) of that information
   mov ecx, num  
   mov ebx, 2
   mov eax, 3
   int 80h
	
   ;Output the message 'The entered number is: '
   mov edx, lenDispMsg
   mov ecx, dispMsg
   mov ebx, 1
   mov eax, 4
   int 80h  

   ;Output the number entered
   mov edx, 5
   mov ecx, num
   mov ebx, 1
   mov eax, 4
   int 80h  
    
   ; Exit code
   mov ebx, 0
   mov eax, 1
   int 80h
